using KarleyLibrary.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WK5.Core.Models
{
    public class Termin
    {
        [CompareField("BPOS_A_TYP")]
        public string Belegtyp { get; set; } = string.Empty;
        [CompareField("BPOS_N_NR")]
        public int Belegnummer { get; set; }
        [CompareField("BPOS_D_MIETE_START")]
        public DateTime Start { get; set; }
        [CompareField("BPOS_D_MIETE_ENDE")]
        public DateTime Ende { get; set; }
        public bool IsAngeboten => Belegtyp is "AN";
    }
}
